import type { _INCurrencyAmountResolutionResult } from "./INCurrencyAmountResolutionResult.js";
import type { INSendPaymentCurrencyAmountUnsupportedReason } from "./INSendPaymentCurrencyAmountUnsupportedReason.js";
export declare class _INSendPaymentCurrencyAmountResolutionResult extends _INCurrencyAmountResolutionResult {
    static alloc(): _INSendPaymentCurrencyAmountResolutionResult;
    static new(): _INSendPaymentCurrencyAmountResolutionResult;
    init(): _INSendPaymentCurrencyAmountResolutionResult;
    static unsupportedForReason$(reason: INSendPaymentCurrencyAmountUnsupportedReason): _INSendPaymentCurrencyAmountResolutionResult;
    initWithCurrencyAmountResolutionResult$(currencyAmountResolutionResult: _INCurrencyAmountResolutionResult): _INSendPaymentCurrencyAmountResolutionResult;
}
